Bug 89007 - HTTPD Process does not spawn correctly
HTTPD Process does not spawn correctly
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-16 10:31 EDT by Vinod
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinod 2003-04-16 10:31:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0; .NET CLR 
1.0.3705)

Description of problem:
Before applying the kernel patch  kernel-2.4.18-27.7.x. the httpd process was 
looking like this with child process have exactly the same parent process 
parameters
root      1663     1  0 Mar13 ?        00:03:06 /usr/sbin/httpd -DHAVE_ACCESS -D
apache    9951  1663  0 08:57 ?        00:00:04 /usr/sbin/httpd -DHAVE_ACCESS -D
apache   10598  1663  0 09:36 ?        00:00:08 /usr/sbin/httpd -DHAVE_ACCESS -D
apache   10602  1663  0 09:36 ?        00:00:04 /usr/sbin/httpd -DHAVE_ACCESS -D
apache   10653  1663  0 09:40 ?        00:00:06 /usr/sbin/httpd -DHAVE_ACCESS -D

After applying the patch  kernel-2.4.18-27.7.x.  the httpd process is looks 
like this 
root      1300     1  2 12:38 ?        00:00:00 /usr/sbin/httpd -DHAVE_ACCESS -D
apache    1303  1300  0 12:38 ?        00:00:00 [httpd]
apache    1304  1300  0 12:38 ?        00:00:00 [httpd]
apache    1305  1300  0 12:38 ?        00:00:00 [httpd]
apache    1306  1300  0 12:38 ?        00:00:00 [httpd]
I don't know if there is Okay or something is going wrong with the kernel 
patch .


Version-Release number of selected component (if applicable):
apache-1.3.27-1.7.2

How reproducible:
Always

Steps to Reproduce:
1.After applying the kernel patch kernel-2.4.18-27.7.x.
2.
3.
    

Additional info:
Comment 1 Joe Orton 2003-07-11 04:02:45 EDT
This is a kernel problem, has it been fixed in a more recent erratum?
Comment 2 Bugzilla owner 2004-09-30 11:40:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.